
set terminal postscript  size 10cm,14cm eps color font "Helvetica, 20"

set encoding iso_8859_1
    set output "vsA_allFull.ps"
    set rmargin 0
    set lmargin 0
    set tmargin 0
    set bmargin 0
    set multiplot layout 3,1
 
s2=1.41421356237 
sc=1000
minE= -34.6348093473015
    Aa(x)=aa1*x**2 + ba1*x +ca1
    Ba(x)=aa2*x**2 + ba2*x +ca2
    
    Ab(x)=ab1*x**2 + bb1*x +cb1
    Bb(x)=ab2*x**2 + bb2*x +cb2
#fits for posA
    fit Aa(x) "E_cVaApical.dat" u ($1/s2):3 via aa1,ba1,ca1
    set xrange [3:3.9]
    fit Ba(x) "E_cVaBasal.dat" u ($1/s2):3 via aa2,ba2,ca2
    #fits for posB
   set xrange [3.83:5]
    fit Ab(x) "E_cVaApical.dat" u ($1/s2):5 via ab1,bb1,cb1
    unset xrange
    fit Bb(x) "E_cVaBasal.dat" u ($1/s2):5 via ab2,bb2,cb2



    #where do the two cross?
    a=aa1-aa2
    b=ba1-ba2
    c=ca1-ca2

    ax= (-b-(b**2-4*a*c)**(.5))/(2*a)

    a=ab1-ab2
    b=bb1-bb2
    c=cb1-cb2

    bx= (-b-(b**2-4*a*c)**(.5))/(2*a)

    #piecewise functions
    A(x)=x> ax ? Aa(x):Ba(x)
    B(x)=x>bx ? Ab(x):Bb(x)

    #colors
    #set line style lc rgb "#FDB863" #light orange
    set style line 1 pt 5 ps 2 lw 4 lc rgb "#e66101" #dark orange
    set style line 2 lc rgb "#e66101" pt 4 ps 2 lw 4
    set style line 3 lc rgb "#e66101" dt 3 lw 4  pt 4 ps 2
    set style line 4 lc rgb "#5E3C99" pt 7 ps 2 lw 4 #dark purble
    set style line 5 lc rgb "#5E3C99" pt 6 ps 2 lw 4
    set style line 6 lc rgb "#5E3C99" dt 3  lw 4 pt 6  ps 2
    #B2ABD2 #light purple

# unset key
    set key at 3.904,83+70
    set key font ",16"
    set size .78,.30
    set origin .19,.65
    

    set yrange [70+(-34.64-minE)*sc:70+(-34.55-minE)*sc]
    set ytics
    set xrange [3.805:3.99]
    set ylabel "Energy/Ni (meV)" offset -.1,0
#    set xtics (3.81,3.84,3.87,3.91,3.94,3.97,4.00,4.03,4.07
#       set xlabel "In-plane pseudocubic lattice parameter ({\305})"
    set xtics 3.85, .05, 4.05
    set xtics format ""
    
    set label 1 "a" at 3.76,88+70 font "Helvetica Bold, 24"
    #lines for key
    set arrow 1 from 3.881,80+70 to 3.9,80+70 nohead lw 4 lc rgb "#e66101"
    set arrow 2 from 3.881,74+70 to 3.9,74+70 nohead lw 4 lc rgb "#e66101" dt 3
    set arrow 3 from 3.881,68+70 to 3.9,68+70 nohead lw 4 lc rgb "#5E3C99"
    set arrow 4 from 3.881,62+70 to 3.9,62+70 nohead lw 4 lc rgb "#5E3C99" dt 3
#Ni(2) is posA , Ni(1) is posB
    pl 'E_cVaApical.dat' u ($1/s2):(($3-minE)*sc+70) w p ls 1 title "Structure 2 [c]", 'E_cVaBasal.dat' u ($1/s2):(($3-minE)*sc+70) w p ls 2 title "Structure 2 [ab]", sc*(Aa(x)-minE)+70 lc rgb "#e66101" lw 4 notitle, (x<3.907) ? (sc*(Ba(x)-minE)+70) :1/0 ls 3 notitle,'E_cVaApical.dat' u ($1/s2):(($5-minE)*sc+70) w p ls 4 title "Structure 1 [c]",  'E_cVaBasal.dat' u ($1/s2):(($5-minE)*sc) w p ls 5 title "Structure 1 [ab]", (x>3.812) ? (sc*(Ab(x)-minE)+70) :1/0 lc rgb "#5E3C99" lw 4 notitle,(x<3.94) ? (sc*(Bb(x)-minE)+70):1/0 ls 6 notitle
    unset label 1
    unset arrow 1
    unset arrow 2
    unset arrow 3
        unset arrow 4
set label 2 "b" at 3.76,14.5 font "Helvetica Bold, 24"
    #####PLOT 2: ediff
    set key at 3.93,-4
    set key samplen 2
    set size .78,.20
#unset key 
   set origin .19,.42
    set yrange [-13:13]
    set ylabel "{/Symbol D} Energy/Ni (meV)" offset -.9,0
# (($1/s2<ax)?$1/s2:1/0)
    #until ax both basal, then to bx Ni2 apical and Ni1 basal, the both apical
    kx=3.9805
    k1y=-3.407
    k2y=-5.99
    k3y=-8.51
    

    #pl  #'+' u (kx):(k1y) ls 1 notitle,\
    #'+' u (kx):(k2y) ls 1 notitle,\
    #'+' u (kx):(k3y) ls 1 notitle,\

    set arrow 1 from 3.914,-5.15 to 3.928,-5.15 nohead lc -1 lw 3 dt 2
    set arrow 2 from 3.914,-8 to 3.928,-8 nohead lc -1 lw 3 dt 4
    set arrow 3 from 3.914,-10.5 to 3.928,-10.5 nohead lc -1 lw 3 dt 3
    
    pl sc*(-Aa(x)+Ab(x)) lc -1 lw 3 dt 3 notitle,\
    sc*(-Aa(x)+Bb(x)) lc -1 dt 4 lw 3 notitle,\
    sc*(-Aa(x)+Ba(x)) lc -1 lw 3 dt 2 notitle,\
    'all.dat' u ($1/s2):((-$3+$8)*sc) ls 2 title "{/Symbol D}(2)[ab]" ,\
    'all.dat' u ($1/s2):((-$3+$10)*sc) ls 5  title "{/Symbol D}(1)[ab]",\
    'all.dat' u ($1/s2):((-$3+$5)*sc) ls 4  title  "{/Symbol D}(1)[c]",\
    0 dt 3 lw 2 lc -1 notitle

    #'all.dat' u ($1/s2):(($3-$8)*sc) ls 1 notitle,\
    #'all.dat' u ($1/s2):(($3-$10)*sc) ls 1 notitle,\
    #'all.dat' u ($1/s2):(($3-$5)*sc) ls 1 notitle,\

    #####PLOT 3 : C diff
unset label 2

set label 4 "c" at 3.76,7.925 font "Helvetica Bold, 24"

    set ylabel " c ({\305})"offset -.1,0
    set size .78,.30
    set origin .19,.08
    set ytics 7.3,.1,7.9
    set yrange [7.3:7.9]
    #
 #      set xtics (3.81,3.84,3.87,3.91,3.94,3.97,4.00,4.03,4.07)
set format x
    set xtics 3.85, .05, 4.05
    set xlabel "In-plane cubic lattice parameter ({\305})"

    pl 'E_cVaApical.dat' u ($1/s2):($2) w lp ls 1,'E_cVaBasal.dat' u ($1/s2):($2) w p ls 3,'E_cVaBasal.dat' u ( $1/s2<3.9?$1/s2:0/0):($2) w l ls 3,'E_cVaApical.dat' u ($1/s2):($4) w lp ls 4,'E_cVaBasal.dat' u ($1/s2):($4) w lp ls 6,0 dt 3 lw 2 lc -1



